Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
2144 connectés 

 



Quelle(s) branche(s) de Gentoo utilisez-vous ?




Attention si vous cliquez sur "voir les résultats" vous ne pourrez plus voter
Les invités peuvent voter

 Mot :   Pseudo :  
  Aller à la page :
 
 Page :   1  2  3  4  5  ..  134  135  136  137  138  139
Page Suivante
Auteur Sujet :

[Gentoo] Le topic (Profils en cours : 13.0, LiveDVD : 20121221)

n°1403363
Kaari
Fuck Yeah !
Posté le 05-05-2017 à 20:39:22  profilanswer
 

Reprise du message précédent :
Il n'y a plus de support gtk+ pour vlc depuis quelques temps, du coup il te faut qt pour le faire tourner, sinon tu aura un vlc sans gui (cvlc) :o
 
Alors si tu ne veux vraiment pas de qt, pense à un autre média player :/


Message édité par Kaari le 05-05-2017 à 20:41:49

---------------
Mon topic ventes ;)
mood
Publicité
Posté le 05-05-2017 à 20:39:22  profilanswer
 

n°1403365
odelpasso
Posté le 05-05-2017 à 23:02:35  profilanswer
 

Mais est-il possible de désactiver Qt en Use Flag général mais ne l'activer qu'en locale pour VLC ?

n°1403366
Kaari
Fuck Yeah !
Posté le 05-05-2017 à 23:31:04  profilanswer
 

Ofc tu peux, temporairement, ajouter des use flags, accept_keywords, ou autre,
comme ça:

USE="qt5" emerge -qav media-video/vlc


Ca devrait aussi pull qt5 comme dépendance de vlc et t'installer toutes ses dépendances.
 
Cependant, si tu t'en arrête là, la prochaine fois que tu voudra faire un update de ce package, emerge te retournera qu'il a besoin de tout recompiler à cause de la disparition du use flag qt5.
Du coup une fois ton programme installé et lorsque tu aura vérifié que tout fonctionne bien, tu peux rajouter définitivement ce use flag, par exemple comme celà:

echo "media-video/vlc qt5" >> /etc/portage/package.use/vlc


 
Ce qui fixera le use flag "qt5" au package vlc lorsque tu utilisera la commande emerge  :jap:


Message édité par Kaari le 05-05-2017 à 23:31:50

---------------
Mon topic ventes ;)
n°1406402
odelpasso
Posté le 30-07-2017 à 13:44:52  profilanswer
 

Bonjour les gens,  
 
Je poste içi car je ne retrouve plus le topic Gentoo mais comme la CL est une Gentoo, je n'ai rien à craindre^^  
 
Je voudrais savoir comment activer le multilib sur ma Gentoo qui est encore d'installation. En effet, jouant au jeux sous Steam/GoG, je souhaite compiler par moi-même les versions de Mesa-Git (en ayant tout de même une version de mesa sur le système)  
 
Car lorsque je regarde par exemple le paquet llvm, il y a une Use Flag :  
ABI_X86 (USE_EXPAND)  
 
Il est expliqué qu'il faut rajouté cette use flag au make.conf mais si je le mets dans le fichier de conf "général", il va m'installer les versions 32bits pour des paquets dont je n'en aurais pas besoin non ?  
 
Est-il possible d'activer cette use flag pour certain paquets précis ?

n°1406414
Mysterieus​eX
Chieuse
Posté le 31-07-2017 à 04:44:16  profilanswer
 

T'as pris quoi comme profil ?
De base les profils desktop 64bits sont multilib (comprendre que tu as 32 et 64 bits qui peuvent être installés) mais pour installer du 32 bits, il faut le demander explicitement via emerge.

n°1406419
odelpasso
Posté le 31-07-2017 à 10:15:03  profilanswer
 

J'ai resolu ce petit soucis. Maintenant j'ai une question pas vraiment technique.  
 
C'est normal qu'une installation de Gentoo prenne enormement de place ?  
Je pensais que vu que je compilais les paquets avec des options choisis via les use flag, tout prendrais moins de place...  
 
Si je compare a ma Debian, il me reste 6.7Go de libre.  
Avec Gentoo, j'ai 4.5Go de libre / 5.5Go si je supprime les sources du kernel.  
 
D'ou peut venir cette difference sachant que, comme je l'ai, tu compiles les sources en fonction des flags choisi ?  
 
Est ce que les sources une fois telechargees/compilees sont gardees ou effacees ?  
Car par exemple si je le lance un emerge -avq firefox, dans le resume post-installation, ca me dit que j'ai 200 Mo de donnees telechargees.  
 
Emerge -ac / emerge --clean / e-clean dist ne change rien.  

n°1406429
Mysterieus​eX
Chieuse
Posté le 31-07-2017 à 13:52:33  profilanswer
 

Tu conserve les sources. Tu as les sources de tout se que tu as compilé.
Donc oui, ça peut prendre de la place, il faut que tu clean les sources.
 
Sans spécifier distfile, eclean, ou emerge ne vont pas aller nettoyer les sources de se qui est encore installé, et même avec un -deep, les dernières versions sont conservées (pour réinstallation). Il faut par exemple faire un eclean-dist.
 
Edit : https://wiki.gentoo.org/wiki/Knowle [...] _distfiles


Message édité par MysterieuseX le 31-07-2017 à 13:53:28
n°1406446
j_c_p
Linux user
Posté le 31-07-2017 à 17:56:15  profilanswer
 

Ah ben si, tu avais aussi posté là odelpasso!
 
Sinon, le fichier qui va bien pour gérer les fichiers temporaires -> /etc/conf.d/bootmisc.
 
Chez moi:

Code :
  1. jcp@phoenix64 /etc/conf.d $ cat bootmisc
  2. # List of /tmp directories we should clean up
  3. #clean_tmp_dirs="/tmp"
  4. clean_tmp_dirs="/tmp /var/tmp /usr/portage/distfiles"
  5. # Should we wipe the tmp paths completely or just selectively remove known
  6. # locks / files / etc... ?
  7. wipe_tmp="YES"
  8. # Write the initial dmesg log into /var/log/dmesg after boot
  9. # This may be useful if you need the kernel boot log afterwards
  10. log_dmesg="YES"
  11. # Save the previous dmesg log to dmesg.old
  12. # This may be useful if you need to compare the current boot to the
  13. # previous one.
  14. #previous_dmesg=no


jcp@phoenix64 ~ $ equery belongs /etc/conf.d/bootmisc  
 * Searching for /etc/conf.d/bootmisc ...  
sys-apps/openrc-0.28 (/etc/conf.d/bootmisc)


Message édité par j_c_p le 31-07-2017 à 18:00:01
n°1406451
odelpasso
Posté le 31-07-2017 à 19:10:38  profilanswer
 

Est-ce qu'il est possible de mettre directement "/usr/portage/distfiles" dans la RAM comme les dossiers /tmp et /var/tmp ?
 
Est selon vous, une fois que l'on a crée notre fichier .config le plus au point, est-ce vous effacez également les fichiers source du Kernel dans /usr/src ?

n°1406464
j_c_p
Linux user
Posté le 31-07-2017 à 21:35:22  profilanswer
 

C'est sûrement possible, mais je ne saisis pas l'intérêt sachant que c'est ta liaison internet qui limite.
Sinon, personnellement, je ne conserve que deux noyaux à la fois, le courant et le précédent au cas où.

mood
Publicité
Posté le 31-07-2017 à 21:35:22  profilanswer
 

n°1406468
malikg
Posté le 31-07-2017 à 22:55:09  profilanswer
 

Pour faire le ménage dans distfiles, il y a eclean-dist qui fait partie de gentoolkit.
Les options que je trouve utiles sont --deep et --fetch-restricted

n°1406469
Kaari
Fuck Yeah !
Posté le 31-07-2017 à 23:55:25  profilanswer
 

Eclean conserve quand même toutes les sources ou au mieux, les sources de la version installée.


---------------
Mon topic ventes ;)
n°1406470
odelpasso
Posté le 31-07-2017 à 23:59:05  profilanswer
 

J'ai installé la version gcc 6.3.0 présent dans testing. Tout s'est bien passé, j'ai suivi le wiki Debian et lancé ces commandes : env-update && source /etc/profile
 
Le problème est lorsque je souhaite me débarrasser de l'ancienne version de gcc qui est installée.  
Je vérifie déjà que j'ai activé la nouvelle version de gcc, ce qui est le cas :

Citation :

# gcc-config -l
 [1] x86_64-pc-linux-gnu-5.4.0
 [2] x86_64-pc-linux-gnu-6.3.0 *


 
Maintenant le wiki dit de lancer la commande emerge --ask --depclean =sys-devel/gcc-x.y.z
Et voilà ce j'ai en résultat :

Citation :

# emerge --ask --depclean =sys-devel/gcc-5.4.0
--- Couldn't find '=sys-devel/gcc-5.4.0' to depclean.
>>> No packages selected for removal by depclean


 
Qu'est-ce que j'ai déjà cassé dans ma nouvelle installation...  [:tinostar dei]

n°1406473
Kaari
Fuck Yeah !
Posté le 01-08-2017 à 01:07:20  profilanswer
 

odelpasso a écrit :

j'ai suivi le wiki Debian


 [:tinostar dei]
 
Plus sérieusement, tu as un lien du guide que tu as suivi ?

Message cité 1 fois
Message édité par Kaari le 01-08-2017 à 01:13:16

---------------
Mon topic ventes ;)
n°1406477
odelpasso
Posté le 01-08-2017 à 07:44:47  profilanswer
 

Kaari a écrit :


 [:tinostar dei]
 
Plus sérieusement, tu as un lien du guide que tu as suivi ?


 
Faute de frappe roh ... bien sur que c'était le wiki Gentoo ...
-> https://wiki.gentoo.org/wiki/Upgrading_GCC/en

n°1406478
Mysterieus​eX
Chieuse
Posté le 01-08-2017 à 08:43:05  profilanswer
 

T'as du oublier de faire un revdep-reduild --deep et un emerge --deep après la fin de ton installe, GCC 5.4 est là, mais non enregistré dans l'arbre portage. Courant après une fresh install et si t'as pas réémergé ton système full après l'install.

n°1406492
odelpasso
Posté le 01-08-2017 à 11:28:15  profilanswer
 

J'essayerais cela ce soir. Par contre niveau commande c'est pas la meme chose que sous Debian.
 
Quand tu réémerges ton systeme, ca revient a faire :
emerge -avqDN with-bdeps=y world ?
 
Si oui, c'est normal qu'il souhaite m'installer de nouveaux packages ?
Ou alors ce sont des paquets deja installe, il faut que je verifie.
 
Il y a une commande sous Gentoo qui permet de voir si tel ou tel paquet, sa version et son architecture est installe ?  
Comme dpkg -l | grep nom_du_paquet sous Debian

Message cité 2 fois
Message édité par odelpasso le 01-08-2017 à 11:30:05
n°1406495
Trit'
Posté le 01-08-2017 à 11:53:11  profilanswer
 

odelpasso a écrit :

Il y a une commande sous Gentoo qui permet de voir si tel ou tel paquet, sa version et son architecture est installe ?  
Comme dpkg -l | grep nom_du_paquet sous Debian


eix [nom du paquet]

n°1406498
Kaari
Fuck Yeah !
Posté le 01-08-2017 à 12:01:32  profilanswer
 

odelpasso a écrit :


Quand tu réémerges ton systeme, ca revient a faire :
emerge -avqDN --with-bdeps=y @world ?


Pourquoi vouloir rebuild tes paquets ?


---------------
Mon topic ventes ;)
n°1406499
odelpasso
Posté le 01-08-2017 à 12:30:46  profilanswer
 

Je demande car quand je cherche à X endroit les manières de mettre a jour/réémerger sa Gentoo, il y a un nombre incalculable de "emerge ... world" différents ...  Donc ma question etait aussi pour savoir laquelle est la mieux.

n°1406521
Mysterieus​eX
Chieuse
Posté le 02-08-2017 à 04:08:46  profilanswer
 

Kaari a écrit :


Pourquoi vouloir rebuild tes paquets ?


 
Certains symlinks sont foireux dans les tarball des stages 3, et du coup, le système de base est présent mais non enregistré en base. Le réémerge complet peut éviter les soucis de GCC, kernel et glib, et rien que pour ça un réémerge full après une install fraîche peut être conseillé.
 

Citation :

Par contre niveau commande c'est pas la meme chose que sous Debian.


 
Ban non, puisque c'est pas Debian.

n°1406524
odelpasso
Posté le 02-08-2017 à 07:56:53  profilanswer
 

Concernant le nettoyage du système, il n'y a aucune commande pour supprimer toutes les sources, même celles qui sont installées.
 
Que ce soit eclean -d distfiles / eclean distfiles, les sources qui correspondent à un ebuild ne sont pas supprimés... Bon, va falloir que je foute ça sur une partition séparé, j'ai pas un gros SSD moi. Autant même ça sur un HDD.

n°1406526
malikg
Posté le 02-08-2017 à 09:30:37  profilanswer
 

odelpasso a écrit :

Concernant le nettoyage du système, il n'y a aucune commande pour supprimer toutes les sources, même celles qui sont installées.
 
Que ce soit eclean -d distfiles / eclean distfiles, les sources qui correspondent à un ebuild ne sont pas supprimés... Bon, va falloir que je foute ça sur une partition séparé, j'ai pas un gros SSD moi. Autant même ça sur un HDD.


Les sources sont enregistrées par défaut dans /usr/portage/distfiles.
Tu peux donc:
- supprimer le contenu du dossier:
# rm -r /usr/portage/distfiles/*
 
- si tu as beaucoup de RAM, faire comme conseillé plus haut et le monter sur un tmpfs:
mount -t tmpfs -o uid=portage,gid=portage none /usr/portage/distfiles
 
- le déplacer vers /tmp qui sera effacé à chaque reboot (et qui peut être monté en tmpfs) avec la variable DISTDIR dans make.conf
DISTDIR=/tmp/distfiles


Message édité par malikg le 02-08-2017 à 09:31:23
n°1406530
odelpasso
Posté le 02-08-2017 à 11:29:54  profilanswer
 

Nickel tout ca, je te remercie.
 
Par contre, je suis embete sur certains points. Gentoo permet d'installer les applications que l'on veut sans en avoir une multitude d'installer en dependances.
 
Le hic survient lorsque je souhaite emerger mate via le meta-package du meme nom, je me retrouve avec brasero, cdparanioa, wireless-tools et d'autres applications qui sont dans la liste a emerger.  
 
Mais je n'ai absolument pas besoin de tout cela. Comment cela ce fait-il que emerge veut me les compiler ? Est-il possible d'empecher leur installation ?

n°1406531
Kaari
Fuck Yeah !
Posté le 02-08-2017 à 11:43:43  profilanswer
 

odelpasso a écrit :


Mais je n'ai absolument pas besoin de tout cela. Comment cela ce fait-il que emerge veut me les compiler ? Est-il possible d'empecher leur installation ?


 
Tu peux choisir ce que tu veux ajouter ou non avec les USE flags.
As-tu suivi ce guide ?
https://wiki.gentoo.org/wiki/MATE


Message édité par Kaari le 02-08-2017 à 11:45:02

---------------
Mon topic ventes ;)
n°1406536
odelpasso
Posté le 02-08-2017 à 12:38:56  profilanswer
 

Oui je l'ai suivi mais il est vrai que j'ai installe le metapackage "mate".
Faudrait que je desinstalle tout et reinstalle sans passer par le metapackage.
 
C'est possible de savoir par quel ebulld brasero est appelé ?
Car j'ai fait le tour de tous les ebuilds concernant mate-* et il n'y aucune mention de brasero ou wireless-tools.
 
C'est bien beau les flags mais c'est dommage de ne pas voir quelles sont les applications liées a une autre sur le site des paquets de Gentoo.

n°1406541
malikg
Posté le 02-08-2017 à 13:15:03  profilanswer
 

odelpasso a écrit :

C'est possible de savoir par quel ebulld brasero est appelé ?


$ equery depends brasero
(depuis le package gentoolkit il me semble)
 
puis adapter USE au besoin, de façon globale ou uniquement pour le paquet concerné.

n°1406655
odelpasso
Posté le 04-08-2017 à 23:16:23  profilanswer
 

J'ai un petit soucis sur ma Gentoo actuellement. Lorsque je tente de lancer le jeu Valhalla Hills, celui-ci crash au démarrage avec des messages d'erreur concernant llvm-4.0. Voyez par vous-même :

Citation :

./start.sh
Running Valhalla Hills
Using binned.
4.10.1-0+++depot+UE4-Releases+4.10 7038 3077 482 0
*** Error in `./ValhallaHills-Linux-Shipping': double free or corruption (!prev): 0x0000000006a14c50 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x6fbcb)[0x7fd0bfa27bcb]
/lib64/libc.so.6(+0x75456)[0x7fd0bfa2d456]
/lib64/libc.so.6(+0x75c4e)[0x7fd0bfa2dc4e]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(+0x1459ae)[0x7fd0b6a459ae]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(_ZN4llvm16SelectionDAGISel17CodeGenAndEmitDAGEv+0x511)[0x7fd0b6acd9a1]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(_ZN4llvm16SelectionDAGISel20SelectAllBasicBlocksERKNS_8FunctionE+0xe7e)[0x7fd0b6ad5aae]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(_ZN4llvm16SelectionDAGISel20runOnMachineFunctionERNS_15MachineFunctionE+0x675)[0x7fd0b6ad8575]
/usr/lib/llvm/4/lib64/libLLVMCodeGen.so.4(_ZN4llvm19MachineFunctionPass13runOnFunctionERNS_8FunctionE+0x91)[0x7fd0b4f20371]
/usr/lib/llvm/4/lib64/libLLVMCore.so.4(_ZN4llvm13FPPassManager13runOnFunctionERNS_8FunctionE+0x1ad)[0x7fd0b1e9849d]
*** Error in `./ValhallaHills-Linux-Shipping': munmap_chunk(): invalid pointer: 0x0000000007254900 ***
======= Backtrace: =========
/usr/lib/llvm/4/lib64/libLLVMTarget.so.4(+0xa197)[0x7fd0b4b63197]
/lib64/libc.so.6(+0x6fbcb)[0x7fd0bfa27bcb]
/usr/lib/llvm/4/lib64/libLLVMTarget.so.4(LLVMTargetMachineEmitToMemoryBuffer+0xa8)[0x7fd0b4b63648]
/lib64/libc.so.6(+0x75456)[0x7fd0bfa2d456]
/usr/lib64/dri/radeonsi_dri.so(+0x57a674)[0x7fd0ba01d674]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(/usr/lib64/dri/radeonsi_dri.so(+0x575946)[0x7fd0ba018946]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(_ZN4llvm16SelectionDAGISel17CodeGenAndEmitDAGEv+0x511)[0x7fd0b6acd9a1]
/lib64/libc.so.6(clone+0x6d)[0x7fd0bfa9fa9d]
======= Memory map: ========
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(_ZN4llvm16SelectionDAGISel20SelectAllBasicBlocksERKNS_8FunctionE+0xe7e)[0x7fd0b6ad5aae]
/usr/lib/llvm/4/lib64/libLLVMSelectionDAG.so.4(_ZN4llvm16SelectionDAGISel20runOnMachineFunctionERNS_15MachineFunctionE+0x675)[0x7fd0b6ad8575]
support/gog_com.shlib : ligne 94 : 17011 Abandon                 ./"${bin_64}"


 
Ce qui m'étonne c'est que le jeu se lance parfaitement bien sur Debian qui utilise la même version de Mesa (17.1.5), la même version LibDRM (2.82) et la même version de LLVM (4.0.1) ... Et manque de pot, ça crash sur Gentoo sans savoir pourquoi.  :sweat:

n°1406922
Mysterieus​eX
Chieuse
Posté le 17-08-2017 à 15:40:21  profilanswer
 

Question les gentooiens/funtooiens, vous avez du ryzen sur gentoo récente ? Pas de soucis de compilation sur petite quantité de ram ?

n°1406965
j_c_p
Linux user
Posté le 17-08-2017 à 22:01:30  profilanswer
 

J'imagine que 16Go doit être limite avec un R7 (déjà que 8Go, c'est insuffisant avec mon phenomII X6 ...).


Message édité par j_c_p le 17-08-2017 à 22:02:05
n°1406974
Kaari
Fuck Yeah !
Posté le 18-08-2017 à 10:30:03  profilanswer
 

Pourquoi ce serait un soucis en fait ? :o
C'est possible d'être oom à cause de ça ?  :??:  
Au pire il y a la swap ?


Message édité par Kaari le 18-08-2017 à 10:34:15

---------------
Mon topic ventes ;)
n°1406985
j_c_p
Linux user
Posté le 18-08-2017 à 14:23:52  profilanswer
 

Oui, j'ai déjà eu des out of memory avec 8Go sur certains paquets avec juste une session KDE de lancée (sans rien d'autre d'ouvert que konsole qui fait la compilation bien entendu).
C'est sûr que tu peux mettre du swap, mais bon.
 
Bref, c'est juste l'évolution et le multithreading qui augmente sous Gentoo :).

n°1406995
Mysterieus​eX
Chieuse
Posté le 18-08-2017 à 17:48:48  profilanswer
 
n°1407089
Mysterieus​eX
Chieuse
Posté le 22-08-2017 à 20:44:25  profilanswer
 

Up, des nouvelles ?
 
Threadripper de test non affecté ici. (mais bon, y'a plus de ram que de stockage SSD sur la machine :/)

n°1407097
odelpasso
Posté le 23-08-2017 à 06:16:24  profilanswer
 

J'ai un Ryzen 1700X et 16Go et en effet, lorsque je dois emerger une grande quantité de paquet, j'ai droit à un segfault au bout d'un moment ... :o
 

n°1407106
Mysterieus​eX
Chieuse
Posté le 23-08-2017 à 20:37:36  profilanswer
 

odelpasso a écrit :

J'ai un Ryzen 1700X et 16Go et en effet, lorsque je dois emerger une grande quantité de paquet, j'ai droit à un segfault au bout d'un moment ... :o
 


 
Si ton proc fait des segfault, contacte AMD.

n°1408486
Tom_
Posté le 07-10-2017 à 11:01:37  profilanswer
 

Un nouveau profile se prépare : 17.0.  
Parmi les nouveautés intéressantes : passage à gcc 6 mais surtout activation par défaut des options de compilations pie et ssp précédemment réservées au profile hardened!  
 
Pour plus d'infos sur ces options : https://wiki.gentoo.org/wiki/Hardened/Toolchain
 
J'ai activé ce nouveau profile il y a deux jours et la migration s'est bien passé (recompilation @system et @world).

n°1408487
Fork Bomb
Obsédé textuel
Posté le 07-10-2017 à 11:22:05  profilanswer
 

Tom_ a écrit :

Un nouveau profile se prépare : 17.0.  
Parmi les nouveautés intéressantes : passage à gcc 6 mais surtout activation par défaut des options de compilations pie et ssp précédemment réservées au profile hardened!  
 
Pour plus d'infos sur ces options : https://wiki.gentoo.org/wiki/Hardened/Toolchain
 
J'ai activé ce nouveau profile il y a deux jours et la migration s'est bien passé (recompilation @system et @world).


Je croyais qu’ils avaient laissé tomber "Hardened" parce que le programme sur lequel ils se basaient était passé proprio/semi-proprio.
On m’aurait menti ? [:tchernobyll]


---------------
Décentralisons Internet-Bépo-Troll Bingo - Ta mère est tellement conne qu’elle passe pas le test de Turing.
n°1408489
Tom_
Posté le 07-10-2017 à 11:54:45  profilanswer
 

C'est seulement le noyau hardened qui est arrêté en raison des patchs Grsecurity qui ne sont plus disponibles librement, cf https://www.gentoo.org/news/2017/08 [...] moval.html
 
En revanche, les profiles hardened restent bien disponibles!

n°1408494
Mysterieus​eX
Chieuse
Posté le 07-10-2017 à 19:58:40  profilanswer
 

Et là, je pousse un gros soupir, punaise les derniers profiles dataient de quand ? 2013 pour les 13.0 ?
 
Pour les hardened, Grsec n'était pas approuvé par les agences américaines, j'y voie plus une décision "politique" gentoo qu'une réelle entrave. Rien n'empêche de patcher grsec et d'avoir un overlay, je pense a celui d'"AGO" (Agostino Sarrubo). La décision de se passer du patchset pour gentoo est compréhensible, mais depuis les annonces d'avril, c'était largement prévisible (et la décision de Open Source Security de passer GRS en entité privée pour pas avoir de comptes à rendre à la NSA à l'opposé de red-hat pour SELinux).
 
Les noyau hardened vont surement passer en SEL (et on risque d'avoir bientôt une obligation de systemd sur hardened).

mood
Publicité
Posté le   profilanswer
 

 Page :   1  2  3  4  5  ..  134  135  136  137  138  139
Page Suivante

Aller à :
Ajouter une réponse
 

Sujets relatifs
Combien de temps pour installer Gentoo?gentoo ? quelqu' un a essayé ?
Gnome 2 rc1 dispoGentoo 1.2 Released
Gentoo impressionPure-FTPd 1.0.12 est enfin dispo!
GENTOO help please[Help me] Gentoo
Gentoo 1.3a Released[gentoo & vmware] Probleme a l'installe pour la carte reseau C resolu
Plus de sujets relatifs à : [Gentoo] Le topic (Profils en cours : 13.0, LiveDVD : 20121221)


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR